classification
Title: Convert re tests to unittest
Type: enhancement Stage: resolved
Components: Regular Expressions, Tests Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, mrabarnett, pitrou, python-dev, serhiy.storchaka, terry.reedy, zach.ware
Priority: normal Keywords: patch

Created on 2014-11-10 17:10 by serhiy.storchaka, last changed 2014-12-01 09:11 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
re_tests.patch serhiy.storchaka, 2014-11-10 17:10
re_tests.patch serhiy.storchaka, 2014-11-14 20:11 review
Messages (4)
msg230966 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-11-10 17:10
Current re tests consists of two parts. One part use unittest and other part import test cases from Lib/test/re_tests.py, checks conditions and prints messages to stdout if they are false.

Proposed patch converts all test_re to using unittest.
msg231171 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-11-14 19:25
This needs side-by-side review but there is no review button. Does anyone know why?
msg231184 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-11-14 20:11
Regenerated patch. Hope this will help.
msg231916 - (view) Author: Roundup Robot (python-dev) Date: 2014-12-01 09:10
New changeset 21a7a92f4d0c by Serhiy Storchaka in branch '3.4':
Issue #22838: All test_re tests now work with unittest test discovery.
https://hg.python.org/cpython/rev/21a7a92f4d0c

New changeset 258ee94b5bac by Serhiy Storchaka in branch 'default':
Issue #22838: All test_re tests now work with unittest test discovery.
https://hg.python.org/cpython/rev/258ee94b5bac
History
Date User Action Args
2014-12-01 09:11:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-12-01 09:10:48python-devsetnosy: + python-dev
messages: + msg231916
2014-11-14 20:11:47serhiy.storchakasetfiles: + re_tests.patch

messages: + msg231184
2014-11-14 19:25:11terry.reedysetnosy: + terry.reedy
messages: + msg231171
2014-11-11 11:02:03serhiy.storchakalinkissue22407 dependencies
2014-11-10 17:10:56serhiy.storchakacreate